/* Include generic conference behavior */
{ include("generic_conference_unanimity.asl") } 

/* Initial beliefs */
//celebration_month(Month).				// Month (in [0,11]) in which the conference is celebrated
//accept_value(AcceptanceValue).		// Acceptance value (in [1,10] for the conference)
//update_weight(0.1).					// Update weight for the acceptance value
n_reviewers_updated(0).

/* Plans */
// Set-up plan
+!init : accept_value(AcceptValue)
   <- +req_quality(AcceptValue);
      !generic_init. 

// Update conference Acceptance value 
// NewAcceptanceValue = (1 - UpdateWeight)*AcceptValue + UpdateWeight*AvgQuality 
+!updateConference(AvgQuality,_,_) : accept_value(AcceptValue) & update_weight(UpdateWeight)
   <- NewReqQuality =  (1 - UpdateWeight)*AcceptValue + UpdateWeight*AvgQuality;
      -+accept_value(NewReqQuality);
	  -+req_quality(NewReqQuality);. 

